Bug 12687 - vfs_expand_msdfs tries to open the remote address as a file path
vfs_expand_msdfs tries to open the remote address as a file path
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: VFS Modules
4.6.0rc4
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-14 15:15 UTC by Andreas Schneider
Modified: 2017-06-06 07:37 UTC (History)
2 users (show)

See Also:


Attachments
patch for 4.6 and 4.5 (1.08 KB, patch)
2017-03-15 07:22 UTC, Andreas Schneider
jra: review+
Details
additional patch for 4.6 (5.94 KB, patch)
2017-05-31 07:40 UTC, Andreas Schneider
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2017-03-14 15:15:53 UTC
In the function read_target_host() in the vfs_expand_msdfs module the remote address is passed as the mapfile and the mapfile as the remote address. This results in the try to open an IP address as a file path.

[2017/03/06 16:42:39.859984,  0] ../source3/modules/vfs_expand_msdfs.c:56(read_target_host)
  can't open IP map 10.100.0.204. Error No such file or directory
Comment 1 Andreas Schneider 2017-03-15 07:22:49 UTC
Created attachment 13060 [details]
patch for 4.6 and 4.5
Comment 2 Jeremy Allison 2017-03-15 22:31:11 UTC
Reassigning to Karolin for inclusion in 4.6.next, 4.5.next.
Comment 3 Karolin Seeger 2017-03-23 11:28:03 UTC
(In reply to Jeremy Allison from comment #2)
Pushed to autobuild-v4-{6,5}-test.
Comment 4 Karolin Seeger 2017-03-27 09:37:16 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to both branches.
Closing out bug report.

Thanks!
Comment 5 Andreas Schneider 2017-05-31 07:40:47 UTC
Created attachment 13243 [details]
additional patch for 4.6
Comment 6 Jeremy Allison 2017-05-31 19:07:14 UTC
Re-assigning to Karolin for inclusion in 4.6.next.
Comment 7 Karolin Seeger 2017-06-02 07:59:53 UTC
(In reply to Jeremy Allison from comment #6)
Pushed to autobuild-v4-6-test.
Comment 8 Karolin Seeger 2017-06-06 07:37:37 UTC
(In reply to Karolin Seeger from comment #7)
Pushed to v4-6-test.
Closing out bug report.

Thanks!